# -ao (Overwrite mode) switch

Specifies the overwrite mode during extraction, to overwrite files already present on disk.

#### Syntax

    -ao[a | s | t | u ]

Switch | Description
--- | ---
-aoa | Overwrite All existing files without prompt.
-aos | Skip extracting of existing files.
-aou | aUto rename extracting file (for example, name.txt will be renamed to name_1.txt).
-aot | auto rename existing file (for example, name.txt will be renamed to name_1.txt).

#### Examples

    7z x test.zip -aoa

extracts all files from test.zip archive and overwrites existing files without any prompt.

#### Commands that can be used with this switch

e (Extract), x (Extract with full paths)

#### See also

Switches: -y (assume Yes on all queries),